Get Shipping QR Code
Retrieve the shipping QR code for a confirmed order in base64 format.
Endpoint
GET /v1/order/qrcode
Request
Header Parameters
| Parameter | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer YOUR_ACCESS_TOKEN | Bearer access token used for authentication. |
Content-Type | string | Yes | application/json | Request body content type. |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
order_id | string | Yes | Order ID. |
Example request
curl -X GET "${API_URL}/v1/order/qrcode?order_id=3593560" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json"
Responses
200 Success
200 Success
Response schema:
application/jsondatajson-stringQR code response wrapper.
data
json-string
QR code response wrapper.
order_id
string
Unique order identifier.
Example:
3593560tracking_number
string
Tracking number for the order.
Example:
JDV028152767184qr_codejson-stringQR code image data.
qr_code
json-string
QR code image data.
format
string
Image format.
Example:
jpgencoding
string
Encoding type.
Always
base64.Example:
base64content
string
Base64-encoded QR code image content.
Example:
/9j/4AAQSkZJRg... (truncated)message
string
Status message.
Example:
OKResponse sample
{
"data": {
"order_id": "3593560",
"tracking_number": "JDV028152767184",
"qr_code": {
"format": "jpg",
"encoding": "base64",
"content": "/9j/4AAQSkZJRg... (truncated)"
},
"message": "OK"
}
}
400 Bad Request
400 Bad Request
Response schema:
application/jsonerror.code
string
Error code.
Example:
400000error.code_reason
string
Error reason.
Example:
BAD_REQUESTerror.message
string
Human-readable message.
Example:
Bad Requesterror.error_tracearrayList of validation errors.
error.error_trace
array
List of validation errors.
field
string
Request field that failed.
Example:
order_idmessage
string
Human-readable message.
Example:
order_id is requiredResponse sample
{
"error": {
"code": "400000",
"code_reason": "BAD_REQUEST",
"message": "Bad Request",
"error_trace": [
{
"field": "order_id",
"message": "order_id is required"
}
]
}
}
Other 400 business errors:
| Code | Reason | Description |
|---|---|---|
400214 | NO_TRACKING_NUMBER | Order has no tracking number yet |
{
"error": {
"code": "400214",
"code_reason": "NO_TRACKING_NUMBER",
"message": "Order has no tracking number yet"
}
}
401 Unauthorized
401 Unauthorized
Response schema:
application/jsoncode
string
Error code.
Example:
401000code_reason
string
Error reason.
Example:
UNAUTHORIZEDmessage
string
Human-readable message.
Example:
Unauthorized{
"error": {
"code": "401000",
"code_reason": "UNAUTHORIZED",
"message": "Unauthorized"
}
}
403 Forbidden
403 Forbidden
Response schema:
application/jsonerror
json-string
Access forbidden for this resource.
404 Not Found
404 Not Found
Response schema:
application/jsoncode
string
Error code.
Example:
400201code_reason
string
Error reason.
Example:
ORDER_NOT_FOUNDmessage
string
Human-readable message.
Example:
Order not found{
"error": {
"code": "400201",
"code_reason": "ORDER_NOT_FOUND",
"message": "Order not found"
}
}
500 Failure
500 Failure
Response schema:
application/jsoncode
string
Error code.
Example:
500999code_reason
string
Error reason.
Example:
API_ERRORmessage
string
Human-readable message.
Example:
Api Error, please contact customer service{
"error": {
"code": "500999",
"code_reason": "API_ERROR",
"message": "Api Error, please contact customer service"
}
}